Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime
Interface ModelQueryParameterValue

All Known Implementing Classes:
  ModelQueryParameterValueImpl

    public interface ModelQueryParameterValue

A representation of the model object 'Model Query Parameter Value'.

The following features are supported:

- `Parameter`
- `Value`

See Also:
  `RuntimePackage.getModelQueryParameterValue()`

Method Summary
`ModelQueryParameter` | `getParameter()` Returns the value of the 'Parameter' reference.
`java.lang.Object` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setParameter(ModelQueryParameter value)` Sets the value of the '`Parameter`' reference.
`void` | `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

Method Detail

### getParameter

    ModelQueryParameter getParameter()

  Returns the value of the 'Parameter' reference.

  If the meaning of the 'Parameter' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter' reference.
  See Also:
    `setParameter(ModelQueryParameter)`, `RuntimePackage.getModelQueryParameterValue_Parameter()`

### setParameter

    void setParameter(ModelQueryParameter value)

  Sets the value of the '`Parameter`' reference.

  Parameters:
    `value` - the new value of the 'Parameter' reference.
  See Also:
    `getParameter()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `RuntimePackage.getModelQueryParameterValue_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD